function validarInfoNivelConfigEP15(cont_niveles){
    for(xdf=0; xdf<cont_niveles.length; xdf++){
        let cont_nivel_act = cont_niveles.eq(xdf);
        let sigma_r = cont_nivel_act.find(".sigma_r").val();
        let sigma_wl = cont_nivel_act.find(".sigma_wl").val();
        let smp_porcentaje = cont_nivel_act.find(".smp_porcentaje").val();
        let media_inserto = cont_nivel_act.find(".media_inserto").val();
        let de_inserto = cont_nivel_act.find(".de_inserto").val();
        let u_incertidumbre = cont_nivel_act.find(".u_incertidumbre").val();
        let k = cont_nivel_act.find(".k").val();
        let smp_unidad = cont_nivel_act.find(".smp_unidad").val();
        let valor_diana = cont_nivel_act.find(".valor_diana").val();
        let media_gpar = cont_nivel_act.find(".media_gpar").val();
        let de_gpar = cont_nivel_act.find(".de_gpar").val();
        let n_lab_gpar = cont_nivel_act.find(".n_lab_gpar").val();
        let nivel = (xdf+1);
        if (sigma_r != "" && !/^([0-9]+(\.[0-9]+)?)$/.test(sigma_r)) {
            Swal.fire({
                title: 'Verifique el valor Sigma R',
                text: "Para el nivel "+nivel+" debe ser un número",
                icon: 'warning',
                showCancelButton: false,
                confirmButtonColor: '#d33',
                confirmButtonText: 'Entendido',
                focusConfirm: true
            });
            return false;
        }else if(sigma_wl != "" && !/^([0-9]+(\.[0-9]+)?)$/.test(sigma_wl)){
            Swal.fire({
                title: 'Verifique el valor Sigma WL',
                text: "Para el nivel "+nivel+" debe ser un número",
                icon: 'warning',
                showCancelButton: false,
                confirmButtonColor: '#d33',
                confirmButtonText: 'Entendido',
                focusConfirm: true
            });
            return false;
        }else if(smp_porcentaje != "" && !/^([0-9]+(\.[0-9]+)?)$/.test(smp_porcentaje)){
            Swal.fire({
                title: 'Verifique el valor sesgo máximo permitido en porcentaje',
                text: "Para el nivel "+nivel+" debe ser un número",
                icon: 'warning',
                showCancelButton: false,
                confirmButtonColor: '#d33',
                confirmButtonText: 'Entendido',
                focusConfirm: true
            });
            return false;
        }else if(smp_unidad != "" && !/^([0-9]+(\.[0-9]+)?)$/.test(smp_unidad)){
            Swal.fire({
                title: 'Verifique el valor sesgo máximo permitido en unidades',
                text: "Para el nivel "+nivel+" debe ser un número",
                icon: 'warning',
                showCancelButton: false,
                confirmButtonColor: '#d33',
                confirmButtonText: 'Entendido',
                focusConfirm: true
            });
            return false;
        }else if(valor_diana != "" && !/^([0-9]+(\.[0-9]+)?)$/.test(valor_diana)){
            Swal.fire({
                title: 'Verifique el valor DIANA',
                text: "Para el nivel "+nivel+" debe ser un número",
                icon: 'warning',
                showCancelButton: false,
                confirmButtonColor: '#d33',
                confirmButtonText: 'Entendido',
                focusConfirm: true
            });
            return false;
        }else if(media_inserto != "" && !/^([0-9]+(\.[0-9]+)?)$/.test(media_inserto)){
            Swal.fire({
                title: 'Verifique el valor media de inserto',
                text: "Para el nivel "+nivel+" debe ser un número",
                icon: 'warning',
                showCancelButton: false,
                confirmButtonColor: '#d33',
                confirmButtonText: 'Entendido',
                focusConfirm: true
            });
            return false;
        }else if(de_inserto != "" && !/^([0-9]+(\.[0-9]+)?)$/.test(de_inserto)){
            Swal.fire({
                title: 'Verifique el valor D.E. de iserto',
                text: "Para el nivel "+nivel+" debe ser un número",
                icon: 'warning',
                showCancelButton: false,
                confirmButtonColor: '#d33',
                confirmButtonText: 'Entendido',
                focusConfirm: true
            });
            return false;
        }else if(k != "" && !/^([0-9]+(\.[0-9]+)?)$/.test(k)){
            Swal.fire({
                title: 'Verifique el valor K',
                text: "Para el nivel "+nivel+" debe ser un número",
                icon: 'warning',
                showCancelButton: false,
                confirmButtonColor: '#d33',
                confirmButtonText: 'Entendido',
                focusConfirm: true
            });
            return false;
        }else if(media_gpar != "" && !/^([0-9]+(\.[0-9]+)?)$/.test(media_gpar)){
            Swal.fire({
                title: 'Verifique el valor Media GPAR',
                text: "Para el nivel "+nivel+" debe ser un número",
                icon: 'warning',
                showCancelButton: false,
                confirmButtonColor: '#d33',
                confirmButtonText: 'Entendido',
                focusConfirm: true
            });
            return false;
        }else if(de_gpar != "" && !/^([0-9]+(\.[0-9]+)?)$/.test(de_gpar)){
            Swal.fire({
                title: 'Verifique el valor DE GPAR',
                text: "Para el nivel "+nivel+" debe ser un número",
                icon: 'warning',
                showCancelButton: false,
                confirmButtonColor: '#d33',
                confirmButtonText: 'Entendido',
                focusConfirm: true
            });
            return false;
        }else if(n_lab_gpar != "" && !/^([0-9]+)$/.test(n_lab_gpar)){
            Swal.fire({
                title: 'Verifique el valor N Lab GPAR',
                text: "Para el nivel "+nivel+" debe ser un número",
                icon: 'warning',
                showCancelButton: false,
                confirmButtonColor: '#d33',
                confirmButtonText: 'Entendido',
                focusConfirm: true
            });
            return false;
        }
    }

    return true;
}
